oracle.kv.coherence

## Class PofKeySerializer

- java.lang.Object
- - oracle.kv.coherence.PofKeySerializer

- All Implemented Interfaces:
    PofSerializer

      public class PofKeySerializer
      extends Object
      implements PofSerializer

  This class provides Coherence Portable Object Format (POF) serialization of the `Key` class. It is provided as a convenience to Coherence applications that are currently using Coherence POF serialization and would like to use the NoSQLBinaryStore cache module to achieve cache persistence.

  Users are not expected to directly interact with this class. It is expected that the class is managed by Coherence as the result of XML configuration supplied to Coherence at program startup. The documentation contained in this class is intended primarily to explain the XML configuration options.

  In the initial implementation of an application, you likely would not need to serialize `Key` objects, but you might want to use it in order to gain greater control over the mapping of cache keys to NoSQL DB keys. If the application needs to use the `Key` class, it must be serializable, and since `Key` doe not implement POF serialization directly, the serialization implementation must be provided externally, and this module provides that capability.

  In order to use this serializer class, you must include a user-type defintion for the `Key` class in your application's POF configuration file:

       <user-type>
             <type-id>XXXX</type-id>
             <class-name>oracle.kv.Key</class-name>
             <serializer>
                <class-name>oracle.kv.coherence.PofKeySerializer</class-name>
             </serializer>
          </user-type>

  where XXXX should be replaced by a type number assigned by your application.

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tangosol.io.pof.PofSerializer

      `deserialize, serialize`

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.